import React from 'react';
import { KeyboardAvoidingView, Platform, SafeAreaView, StatusBar } from 'react-native';
import { TouchableOpacity } from 'react-native';
import { View, Text, TextInput, ImageBackground, StyleSheet } from 'react-native';
const Sandy = props => {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(StatusBar, {
    translucent: true,
    backgroundColor: 'blue',
    barStyle: "default"
  }), /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: Platform.OS == 'android' ? 'height' : 'padding'
  }, /*#__PURE__*/React.createElement(ImageBackground, {
    source: require('./a.jpeg'),
    style: styles.backgroundImage
  }, /*#__PURE__*/React.createElement(View, {
    style: [{
      alignSelf: 'center',
      width: '90%',
      height: 'auto',
      position: 'absolute',
      paddingBottom: 40,
      bottom: 10
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, "Login"), /*#__PURE__*/React.createElement(View, {
    style: styles.inputContainer
  }, /*#__PURE__*/React.createElement(TextInput, {
    style: styles.input,
    placeholder: "Mobile Number",
    onChangeText: () => props.onChangeText,
    value: props.value,
    keyboardType: "phone-pad"
  })), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => props.onPress,
    style: styles.buttonView
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.buttonText
  }, props.buttonText ? props.buttonText : 'Continue')))))));
};
const styles = StyleSheet.create({
  backgroundImage: {
    height: '100%',
    width: '100%',
    alignSelf: 'center',
    // justifyContent:'center',
    resizeMode: 'cover',
    alignItems: 'center' // or 'stretch' for a different background image behavior
  },

  inputContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 10
  },
  buttonView: {
    height: 40,
    width: '100%',
    borderRadius: 10,
    backgroundColor: 'white',
    justifyContent: 'center'
  },
  buttonText: {
    textAlign: 'center',
    fontSize: 15,
    fontWeight: '600'
  },
  title: {
    fontSize: 30,
    color: 'white',
    marginBottom: 20
  },
  input: {
    width: '100%',
    height: 40,
    backgroundColor: 'white',
    paddingLeft: 10,
    marginBottom: 10,
    borderRadius: 5
  }
});
export default Sandy;
//# sourceMappingURL=index.js.map