"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Sandy = props => {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.StatusBar, {
    translucent: true,
    backgroundColor: 'blue',
    barStyle: "default"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.KeyboardAvoidingView, {
    behavior: _reactNative.Platform.OS == 'android' ? 'height' : 'padding'
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ImageBackground, {
    source: require('./a.jpeg'),
    style: styles.backgroundImage
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      alignSelf: 'center',
      width: '90%',
      height: 'auto',
      position: 'absolute',
      paddingBottom: 40,
      bottom: 10
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.title
  }, "Login"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.inputContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    placeholder: "Mobile Number",
    onChangeText: () => props.onChangeText,
    value: props.value,
    keyboardType: "phone-pad"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: () => props.onPress,
    style: styles.buttonView
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.buttonText
  }, props.buttonText ? props.buttonText : 'Continue')))))));
};
const styles = _reactNative.StyleSheet.create({
  backgroundImage: {
    height: '100%',
    width: '100%',
    alignSelf: 'center',
    // justifyContent:'center',
    resizeMode: 'cover',
    alignItems: 'center' // or 'stretch' for a different background image behavior
  },

  inputContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 10
  },
  buttonView: {
    height: 40,
    width: '100%',
    borderRadius: 10,
    backgroundColor: 'white',
    justifyContent: 'center'
  },
  buttonText: {
    textAlign: 'center',
    fontSize: 15,
    fontWeight: '600'
  },
  title: {
    fontSize: 30,
    color: 'white',
    marginBottom: 20
  },
  input: {
    width: '100%',
    height: 40,
    backgroundColor: 'white',
    paddingLeft: 10,
    marginBottom: 10,
    borderRadius: 5
  }
});
var _default = exports.default = Sandy;
//# sourceMappingURL=index.js.map